<template>
  <q-layout view="lHh Lpr lFf">
    <q-page-container>

      <ul class="nav">
        <li><router-link to="/" exact>Inicio</router-link></li>
        <li><router-link to="/form" exact>Formulario</router-link></li>
      </ul>

      <div class="layout">
        <router-view></router-view>
      </div>

    </q-page-container>
  </q-layout>
</template>

<style lang="scss">
html, body {
  background-color: #f6f6f6;
  margin: 0px;
}

.layout {
  width: 800px;
  margin: 0 auto;
}

.nav {
  padding: 0px;
  margin: 0px;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: white;
  margin-bottom: 50px;

  li {

    a {
      text-decoration: none;
      text-transform: uppercase;
      padding: 25px 30px;
      display: block;
      font-size: 1.2rem;
      font-weight: 500;
      border-bottom: 4px solid transparent;
      color: black!important;
      &.router-link-active {
        border-bottom: 4px solid #35ccff;
      }
    }
  }
}
</style>
